body {
  margin: 0;
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}
header {
  width: 100%;
  background-color: #e2e4e4;
}

header h1 {
  margin: 0;
  padding: 20px;
}

.container {
  /* width: 1024px; */
  margin-left: auto;
  margin-right: auto;
  padding-left: 20px;
  padding-right: 20px;
}

.text-center {
  text-align: center;
}

.centered {
  align-items: center;
  justify-content: center;
  display: flex;
}

.row::after {
  content: '';
  display: table;
  clear: both;
}

.col {
  float: left;
}

.col-lg {
  width: 100%;
}

.col-md {
  width: 50%;
}

@media screen and (max-width: 860px) {
  .col-sm {
    width: 100%;
  }
}

* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.bar {
  background-color: #ece9e9;
  padding: 20px;
  margin-top: 15px;
  text-align: right;
}

.button {
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  box-shadow: 0 12px 16px 0 rgba(0, 0, 0, 0.24),
    0 17px 50px 0 rgba(0, 0, 0, 0.19);
  border-radius: 5px;
  cursor: pointer;
  transition-duration: 0.4s;
}

.button-success {
  background-color: #4caf50;
}

.button-cancel {
  background-color: #ec1414;
}

.button-success:hover {
  background-color: #9de0a0;
}

.button-cancel:hover {
  background-color: #d69999;
}

.button:hover,
.button:focus {
  outline: none;
}

input[type='text'] {
  width: 100%;
  padding: 12px 20px;
  border: 2px solid #ccc;
  border-radius: 4px;
  background-color: #f8f8f8;
  font-size: 16px;
  resize: none;
  outline: none;
  transition-duration: 0.4s;
}

input[type='text']:focus {
  background-color: #e8e4ea;
}

.text-item {
  margin-bottom: 5px;
}

.project-box {
  position: relative;
  background-color: #efecec;
  border-radius: 10px;
  padding: 15px 25px;
  margin-top: 35px;
  overflow-y: scroll;
  min-height: 300px;
  height: 450px;
  margin: 15px 10px;
  border: 3px solid #696969;
}
.pb-header {
  font-size: 2rem;
  margin-bottom: 5px;
  color: blueviolet;
}
.project-box ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.project-box ul li {
  border: 1px solid #8a2be2;
  background-color: #e2e4e4;
  border-radius: 10px;
  padding: 5px 25px;
  box-shadow: 0 12px 16px 0 rgba(0, 0, 0, 0.24),
    0 17px 50px 0 rgba(0, 0, 0, 0.19);
  margin-bottom: 10px;
  cursor: pointer;
}

.title {
  color: #4caf50;
  padding-right: 10px;
}

.pb-personal-info-box {
  border: 1px solid #86838a;
  border-radius: 15px;
  padding: 10px 5px;
  background-color: #eaeaea;
}

fieldset {
  border: 1px solid #49a84d;
  border-radius: 5px;
}

.outer_div {
  display: none;
  position: fixed;
  height: 100%;
  width: 100%;
  z-index: 100;
  pointer-events: none;
}
.middle_div {
  display: table-cell;
  vertical-align: middle;
}
.inner_div {
  margin-left: auto;
  margin-right: auto;
  width: 55%;
  pointer-events: all;
}
@media screen and (max-width: 860px) {
  .inner_div {
    width: 85%;
  }
}
.outer_div.visible {
  display: table;
  animation: fade-slide-in 0.3s ease-out forwards;
}

#backdrop {
  position: fixed;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.75);
  z-index: 10;
  pointer-events: none;
  display: none;
}

#backdrop.visible {
  display: block;
  pointer-events: all;
}

.card {
  background-color: #efecec;
  border-radius: 10px;
  padding: 15px 25px;
}

.modal__actions {
  margin-top: 20px;
}

@keyframes fade-slide-in {
  from {
    transform: translateY(-5rem);
  }
  to {
    transform: translateY(0);
  }
}

.close {
  position: relative;
  width: 23px;
  height: 23px;
  background-color: #ff5248;
  outline: none;
  border: none;
  float: right;
  transition-duration: 0.4s;
}
.close::before,
.close::after {
  position: absolute;
  top: 10px;
  left: 5px;
  width: 13px;
  height: 3px;
  content: '';
  background-color: #eef5df;
}
.close::before {
  -ms-transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
.close::after {
  -ms-transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}
.close:hover {
  cursor: pointer;
  background-color: #ff0028;
}
.close:hover::before,
.close:hover::after {
  display: block;
}

.empty-project.invisible {
  display: none;
}
.empty-project {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
}

.actions {
  text-align: left;
  margin-top: 15px;
  margin-bottom: 10px;
}

.droppable {
  background-color: rgb(236, 226, 129);
}

#map {
  width: 100%;
  height: 150px;
  border: 1px solid #86838a;
  border-radius: 10px;
}

#user-location-btn {
  position: relative;
  left: 50%;
  transform: translate(-50%, 10%);
  -webkit-transform: translate(-50%, 10%);
  -moz-transform: translate(-50%, 10%);
  -o-transform: translate(-50%, 10%);
}

.alert {
  position: fixed;
  display: none;
  border: 2px solid rgb(0, 0, 0);
  width: 345px;
  padding: 15px 10px;
  display: bla;
  bottom: 5px;
  right: 5px;
  z-index: 200;
}
.alert.visible {
  display: block;
}
.alert.warning {
  background-color: rgba(255, 0, 0, 0.514);
  color: white;
}
.alert.success {
  background-color: rgba(6, 197, 70, 0.548);
  color: rgb(0, 0, 0);
}

@-webkit-keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
.fadeOut {
  -webkit-animation: fadeOut 0.3s ease-out forwards;
  animation: fadeOut 0.3s ease-out forwards;
}

.fadeIn {
  animation: fadeIn 2s ease-out forwards;
  -moz-animation: fadeIn 2s ease-out forwards; /* Firefox */
  -webkit-animation: fadeIn 2s ease-out forwards; /* Safari and Chrome */
  -o-animation: fadeIn 2s ease-out forwards; /* Opera */
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@-moz-keyframes fadeIn {
  /* Firefox */
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@-webkit-keyframes fadeIn {
  /* Safari and Chrome */
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@-o-keyframes fadeIn {
  /* Opera */
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.page__notfound_box{
  text-align: center;
  border: 1px solid #e2e4e4;
  border-radius: 10px;
  height: 30rem;
  font-size: 3rem;
  background-color: #818686;
  color: #e8e6e6;
  margin: 20px 0px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.drag_droppable_msg{
  font-size: 2.4rem;
  color: #063c08;
  font-style: oblique;
}